package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.page.QueryInfo;

public class StudentRegistrationQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "乐团编号",required = false)
    private Integer musicGroupId;

    @ApiModelProperty(value = "是否允许调剂",required = false)
    private YesOrNoEnum isAllowAdjust;

    @ApiModelProperty(value = "专业编号",required = false)
    private Integer subjectId;

    @ApiModelProperty(value = "实际专业编号",required = false)
    private Integer actualSubjectId;

    public Integer getActualSubjectId() {
        return actualSubjectId;
    }

    public void setActualSubjectId(Integer actualSubjectId) {
        this.actualSubjectId = actualSubjectId;
    }

    public Integer getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(Integer musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public YesOrNoEnum getIsAllowAdjust() {
        return isAllowAdjust;
    }

    public void setIsAllowAdjust(YesOrNoEnum isAllowAdjust) {
        this.isAllowAdjust = isAllowAdjust;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }
}
